<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AssignIdentifiersToDispatchers StructType
 * @subpackage Structs
 */
class AssignIdentifiersToDispatchers extends AbstractStructBase
{
    /**
     * The VehicleItemList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfIdentifierVehicleItem
     */
    public $VehicleItemList;
    /**
     * The DispatcherItemList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfIdentifier
     */
    public $DispatcherItemList;
    /**
     * The Company
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\CompanyIdentifier
     */
    public $Company;
    /**
     * The Settings
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\DispatcherSettings
     */
    public $Settings;
    /**
     * Constructor method for AssignIdentifiersToDispatchers
     * @uses AssignIdentifiersToDispatchers::setVehicleItemList()
     * @uses AssignIdentifiersToDispatchers::setDispatcherItemList()
     * @uses AssignIdentifiersToDispatchers::setCompany()
     * @uses AssignIdentifiersToDispatchers::setSettings()
     * @param \ArrayType\ArrayOfIdentifierVehicleItem $vehicleItemList
     * @param \ArrayType\ArrayOfIdentifier $dispatcherItemList
     * @param \StructType\CompanyIdentifier $company
     * @param \StructType\DispatcherSettings $settings
     */
    public function __construct(\ArrayType\ArrayOfIdentifierVehicleItem $vehicleItemList = null, \ArrayType\ArrayOfIdentifier $dispatcherItemList = null, \StructType\CompanyIdentifier $company = null, \StructType\DispatcherSettings $settings = null)
    {
        $this
            ->setVehicleItemList($vehicleItemList)
            ->setDispatcherItemList($dispatcherItemList)
            ->setCompany($company)
            ->setSettings($settings);
    }
    /**
     * Get VehicleItemList value
     * @return \ArrayType\ArrayOfIdentifierVehicleItem|null
     */
    public function getVehicleItemList()
    {
        return $this->VehicleItemList;
    }
    /**
     * Set VehicleItemList value
     * @param \ArrayType\ArrayOfIdentifierVehicleItem $vehicleItemList
     * @return \StructType\AssignIdentifiersToDispatchers
     */
    public function setVehicleItemList(\ArrayType\ArrayOfIdentifierVehicleItem $vehicleItemList = null)
    {
        $this->VehicleItemList = $vehicleItemList;
        return $this;
    }
    /**
     * Get DispatcherItemList value
     * @return \ArrayType\ArrayOfIdentifier|null
     */
    public function getDispatcherItemList()
    {
        return $this->DispatcherItemList;
    }
    /**
     * Set DispatcherItemList value
     * @param \ArrayType\ArrayOfIdentifier $dispatcherItemList
     * @return \StructType\AssignIdentifiersToDispatchers
     */
    public function setDispatcherItemList(\ArrayType\ArrayOfIdentifier $dispatcherItemList = null)
    {
        $this->DispatcherItemList = $dispatcherItemList;
        return $this;
    }
    /**
     * Get Company value
     * @return \StructType\CompanyIdentifier|null
     */
    public function getCompany()
    {
        return $this->Company;
    }
    /**
     * Set Company value
     * @param \StructType\CompanyIdentifier $company
     * @return \StructType\AssignIdentifiersToDispatchers
     */
    public function setCompany(\StructType\CompanyIdentifier $company = null)
    {
        $this->Company = $company;
        return $this;
    }
    /**
     * Get Settings value
     * @return \StructType\DispatcherSettings|null
     */
    public function getSettings()
    {
        return $this->Settings;
    }
    /**
     * Set Settings value
     * @param \StructType\DispatcherSettings $settings
     * @return \StructType\AssignIdentifiersToDispatchers
     */
    public function setSettings(\StructType\DispatcherSettings $settings = null)
    {
        $this->Settings = $settings;
        return $this;
    }
}
